<!DOCTYPE html>
<html class="no-js" lang="en">
<head>
  <meta charset="utf-8">
  <title>{{ options.title }}</title>

  <meta name="description" content="{{ app.test }}">
  <meta name="generator" content="kss-node">
  <meta name="viewport" content="width=device-width">
  <script type='text/javascript'>/*<![CDATA[*/(function(H){H.className=H.className.replace(/\bno-js\b/,'js')})(document.documentElement);/*]]>*/</script>
  <link rel="stylesheet" href="kss-assets/kss.css">
  {{ styles|safe }}
</head>
<body id="kss-node" {% if template.isItem %}class="kss-fullscreen-mode"{% endif %}>

<div class="kss-sidebar kss-style">
  <header class="kss-header">
    <h1 class="kss-doc-title">{{ options.title }}</h1>
  </header>
  <nav class="kss-nav">
    <ul class="kss-nav__menu">
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="./">
          <span class="kss-nav__ref">0</span
          ><span class="kss-nav__name">Overview</span>
        </a>
      </li>
    {% for menu_item in menu %}
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-{{ menu_item.referenceURI }}.html">
          <span class="kss-nav__ref">{{ menu_item.referenceNumber }}</span><span class="kss-nav__name">{{ menu_item.header }}</span>
        </a>
        {% if menu_item.isActive != "" and menu_item.children != "" %}
          <ul class="kss-nav__menu-child">
          {% for menu_child in menu_item.children %}
            <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-{{ menu_item.referenceURI }}.html#kssref-{{ menu_child.referenceURI }}">
                <span class="kss-nav__ref {% if menu_child.isGrandChild %}kss-nav__ref-child{% endif %}">{{ menu_child.referenceNumber }}</span
                ><span class="kss-nav__name">{{ menu_child.header }}</span>
              </a>
            </li>
          {% endfor %}
          </ul>
        {% endif %}
      </li>
    {% endfor %}
    </ul>
  </nav>
</div>
<article role="main" class="kss-main">
{% if template.isHomepage %}
  {% if homepage %}
    <div id="kssref-0" class="kss-section kss-section--depth-0 kss-overview kss-style">
      {{ homepage|safe }}
    </div>
  {% endif %}
{% else %}

  {#
    Display each section, in order.

    The "root" element comes first in this loop, and can be detected using the
    "loop.first" variable as seen below.
  #}
  {% for section in sections %}
    {% set sectionElement = 'div' if loop.first else 'section'  %}
    <{{ sectionElement }} id="kssref-{{ section.referenceURI }}" class="kss-section kss-section--depth-{{ section.depth }} {% if template.isItem %}is-fullscreen{% endif %}">
      <div class="kss-style">
        {% set headerElement = 'h6' if (section.depth > 6) else 'h' ~ section.depth %}
        <{{ headerElement }} class="kss-title kss-title--level-{{ section.depth }}">
          <a class="kss-title__permalink" href="#kssref-{{ section.referenceURI }}">
            <span class="kss-title__ref">
              {{ section.referenceNumber }}
              <span class="kss-title__permalink-hash">
                {{ '#permalink' if hasNumericReferences else section.reference }}
              </span>
            </span>
            {{ section.header }}
          </a>
        </{{ headerElement }}>

        {% if section.example %}
          <p class="kss-toolbar">
            {% if not template.isItem %}
              <a href="#kssref-{{section.referenceURI}}" data-kss-fullscreen="kssref-{{section.referenceURI}}">
                <span class="kss-toolbar__tooltip">{{ app.toolbar.fullscreen }}</span>
                <svg class="off" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M64 0v26l-10-10-12 12-6-6 12-12-10-10zM28 42l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
                <svg class="on" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M28 36v26l-10-10-12 12-6-6 12-12-10-10zM64 6l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
              </a>
              <a href="item-{{section.referenceURI}}.html" target="_blank">
                <span class="kss-toolbar__tooltip">{{ app.toolbar.newWindow}}</span>
                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <rect x="0" y="20" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M40,64l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="0" y="20" width="40" height="10"/>
                  <rect x="24" y="0" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M64,44l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="24" y="0" width="40" height="10"/>
                </svg>
              </a>
            {% endif %}
            <a href="#kssref-{{section.referenceURI}}" data-kss-guides="true">
              <span class="kss-toolbar__tooltip">{{app.toolbar.guides}}</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <rect class="kss-toolbar__icon-fill" x="5" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="54" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="54" width="9" height="5"/>
              </svg>
            </a>
            <a href="#kssref-{{section.referenceURI}}" data-kss-markup="true">
              <span class="kss-toolbar__tooltip">{{app.toolbar.markup}}</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <path class="kss-toolbar__icon-fill" d="M37.555,46.239l6.103,6.103l20.342,-20.342l-20.342,-20.342l-6.103,6.103l14.24,14.239l-14.24,14.239Z"/>
                <path class="kss-toolbar__icon-fill" d="M26.445,17.761l-6.103,-6.103l-20.342,20.342l20.342,20.342l6.103,-6.103l-14.24,-14.239l14.24,-14.239Z"/>
              </svg>
            </a>
          </p>
        {% endif %}

        {% if section.description %}
          <div class="kss-description">
            {{ section.description|safe|markdown }}
          </div>
        {% endif %}
        {# {{ section.colors|length > 0 }} #}
        {% if section.colors|length > 0 %}
          <ul class="kss-colors">
            {% for color in section.colors %}
              <li>
                <figure class="kss-color">
                  <div class="kss-color-figure" style="background-color:{{ color.color }}"></div>
                  <figcaption class="kss-color-caption">
                    {% if color.name %}
                      <strong class="kss-color-name">{{ color.name }}</strong>
                    {% endif %}
                    <code class="kss-color-code">{{ color.color }}</code>
                    {% if color.description %}
                      <p class="kss-color-desc">{{ color.description|safe|markdown }}</p>
                    {% endif %}
                  </figcaption>
                </figure>
              </li>
            {% endfor %}
          </ul>
        {% endif %}

        {% for parameter in section.parameters %}
          {% if loop.first %}
            <div class="kss-parameters__title">Parameters:</div>
            <ul class="kss-parameters">
          {% endif %}
            <li class="kss-parameters__item">
              <div class="kss-parameters__name"><code>{{ parameter.name }}</code></div>
              <div class="kss-parameters__description">
                {{ parameter.description|safe|markdown }}
                {% if parameter.defaultValue %}
                  <div class="kss-parameters__default-value">
                    Defaults to: <code>{{ parameter.defaultValue }}</code>
                  </div>
                {% endif %}
              </div>
            </li>
          {% if loop.last %}
            </ul>
          {% endif %}
        {% endfor %}
      </div>

      {% if section.example %}
        <div class="kss-modifier__wrapper">
          <div class="kss-modifier__heading kss-style">
            Example{% if section.modifiers %}s{% endif %}
          </div>

          {% if section.modifiers %}
            <div class="kss-modifier__default-name kss-style">
              Default styling
            </div>
          {% endif %}

          <div class="kss-modifier__example">
            {{ section.example|safe }}
            <div class="kss-modifier__example-footer"></div>
          </div>

          {% for modifier in section.modifiers %}
            <div class="kss-modifier__name kss-style">
              {{ modifier.name }}
            </div>
            <div class="kss-modifier__description kss-style">
              {{ modifier.description|safe }}
            </div>
            <div class="kss-modifier__example">
              {{ modifier.markup|safe }}
              <div class="kss-modifier__example-footer"></div>
            </div>
          {% endfor %}
        </div>
        {% if section.markup %}
          <details class="kss-markup kss-style">
            <summary>
              {% if section.markupFile %}
                Markup: <code>{{ section.markupFile }}</code>
              {% else %}
                Markup
              {% endif %}
            </summary>
            <pre class="hljs"><code class="language-twig">{{ section.markup|hljs('twig')|safe }}</code></pre>
          </details>
        {% endif %}
      {% endif %}

      {% if section.source.filename %}
        <div class="kss-source kss-style">
          Source: <code>{{ section.source.filename }}</code>, line {{ section.source.line }}
        </div>
      {% endif %}
    </{{ sectionElement }}>
  {% endfor %}
{% endif %}
</article>

<!-- SCRIPTS -->
<script src="kss-assets/kss.js"></script>
<script src="kss-assets/scrollspy.js"></script>
<script src="kss-assets/kss-fullscreen.js"></script>
<script src="kss-assets/kss-guides.js"></script>
<script src="kss-assets/kss-markup.js"></script>
<script>
  var spy = new ScrollSpy('#kss-node', {
    nav: '.kss-nav__menu-child > li > a',
    className: 'is-in-viewport'
  });
  var kssFullScreen = new KssFullScreen({
    idPrefix: 'kss-fullscreen-',
    bodyClass: 'kss-fullscreen-mode',
    elementClass: 'is-fullscreen'
  });
  var kssGuides = new KssGuides({
    bodyClass: 'kss-guides-mode'
  });
  var kssMarkup = new KssMarkup({
    bodyClass: 'kss-markup-mode',
    detailsClass: 'kss-markup'
  });
</script>
{{ scripts|safe }}

{# This will only be included in the demo page. #}
{% if options.demo %}
  <footer class="kss-github">
    <!-- https://github.com/blog/273-github-ribbons -->
    <a href="https://github.com/kss-node/kss-node"><img src="kss-assets/github-fork--black.png" alt="Fork me on GitHub"></a>
  </footer>
{% endif %}

<!-- Automatically built using <a href="https://github.com/kss-node/kss-node">kss-node</a>. -->
</body>
</html>
